Package org.apache.jorphan.util

# Class JMeterStopTestException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.apache.jorphan.util.JMeterStopTestException

All Implemented Interfaces:
  `Serializable`

public class JMeterStopTestException extends RuntimeException
This Exception is for use by functions etc to signal a Stop Test condition where there is no access to the normal stop method Stop test now means shutdown test waiting for current running samplers to end

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JMeterStopTestException()`
  `JMeterStopTestException(String s)`
  `JMeterStopTestException(String s, Throwable ex)`
  `JMeterStopTestException(String s, Throwable ex, boolean enableSuppression, boolean writableStackTrace)`
  `JMeterStopTestException(Throwable ex)`

- ## Method Summary

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### JMeterStopTestException

    public JMeterStopTestException()

  - ### JMeterStopTestException

    public JMeterStopTestException(String s)

  - ### JMeterStopTestException

    public JMeterStopTestException(String s, Throwable ex)

  - ### JMeterStopTestException

    public JMeterStopTestException(String s, Throwable ex, boolean enableSuppression, boolean writableStackTrace)

  - ### JMeterStopTestException

    public JMeterStopTestException(Throwable ex)